ApiFuseApiFuse
API Reference

다이소 매장 찾기

키워드, 지역으로 다이소 오프라인 매장을 검색합니다.

다이소 매장 찾기

키워드나 시도/구군/동으로 다이소 매장 이름, 주소, 전화번호, 좌표를 반환합니다.

엔드포인트

GET /v1/daiso-stores

Upstream

  • Base URL: https://www.daiso.co.kr
  • Path: /cs/ajax/shop_search

요청 파라미터

파라미터타입필수기본값설명
keywordstring``매장명/주소 키워드
sidostring``시/도
gugunstring``구/군
dongstring``
limitinteger50최대 결과 수

요청 예시

{
  "keyword": "강남",
  "sido": "서울",
  "gugun": "강남구",
  "dong": "",
  "limit": 50
}

응답 스키마

아래 스키마는 adapter의 Zod output schema에서 직접 생성됩니다.

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "stores": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "매장명"
          },
          "address": {
            "type": "string",
            "description": "주소"
          },
          "phone": {
            "description": "전화번호",
            "type": "string"
          },
          "lat": {
            "description": "위도",
            "type": "number"
          },
          "lng": {
            "description": "경도",
            "type": "number"
          }
        },
        "required": [
          "name",
          "address"
        ],
        "additionalProperties": false
      }
    }
  },
  "required": [
    "stores"
  ],
  "additionalProperties": false
}

응답 예시

{
  "data": {
    "stores": [
      {
        "name": "다이소 강남점",
        "address": "서울 강남구 강남대로 000",
        "phone": "0212345678",
        "lat": 37.4979,
        "lng": 127.0276
      }
    ]
  },
  "pagination": null,
  "meta": {
    "source": "daiso-stores",
    "fetchedAt": "2026-03-24T00:00:00.000Z"
  }
}

On this page